<template>
  <single-pane capt="Настройка модели оценки риска клиентов">
    <div class="risks">
      <nav class="risks__nav">
        <ul>
          <router-link to="/risks/weights" tag="li">Весовые коэффициенты полей</router-link>
          <router-link to="/risks/numbers" tag="li">Числовые эквиваленты групп риска</router-link>
          <router-link to="/risks/deals" tag="li">Условия договоров</router-link>
        </ul>
      </nav>
      <div class="risks__content">
        <router-view/>
      </div>
    </div>
  </single-pane>
</template>

<script>
  import SinglePane from "common-components/src/obComponents/obSinglePanels";
  export default {
    name: "risksAnalysis",

    components: {
      SinglePane
    }
  }
</script>

<style lang="scss">
  .content {
    display: block !important;
  }

  .risk-table {
    width: 100%;
    border-spacing: 0;
    border: 1px solid $lavender;
    border-bottom: none;

    th {
      text-align: left;
      padding: 14px 0;
      font-size: 11px;
      font-weight: 400;
      text-transform: uppercase;
      color: $gray-slate;
      border-bottom: 1px solid $lavender;
    }

    td {
      padding: 22px 0;
      border-bottom: 1px solid $lavender;
    }

    tr:hover td,
    tr.active td {
      background-color: $lavender;
    }
  }

  .risks .footer {
    display: flex;
    justify-content: flex-end;
    margin-top: 35px;
  }
</style>

<style lang="scss" scoped>
  .risks {
    padding: 30px;
  }

  .risks__nav {
    ul {
      display: flex;
      padding: 0;
      margin: 0;
    }

    li {
      padding: 10px;
      margin-right: 10px;
      color: $color-blue-navy-blue;
      cursor: pointer;
      border-radius: 3px;

      &:hover,
      &.is-active {
        background-color: $color-blue-navy-blue;
        color: white;
        transition: all 0.3s ease-in-out;
      }
    }
  }

  .risks__content {
    margin-top: 35px;
  }
</style>